cURL
curl --request PATCH \
--url https://{server}/api/organizations/{id}/ \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"whitelisted_email_domains": [
"<string>"
],
"globus_identity_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_external_ai": true,
"allow_user_agent_config": true,
"custom_ollama_url": "<string>",
"custom_ollama_model": "<string>",
"custom_clip_service_url": "<string>",
"custom_clip_service_token": "<string>",
"default_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_configured": true,
"default_project_geobound_enabled": true,
"default_project_geobound_allowed_countries": [
"<string>"
],
"default_project_geobound_allowed_country_set": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_denied_country_set": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_block_vpn": true,
"default_project_geobound_fail_closed": true
}
'import requests
url = "https://{server}/api/organizations/{id}/"
payload = {
"name": "<string>",
"description": "<string>",
"whitelisted_email_domains": ["<string>"],
"globus_identity_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_external_ai": True,
"allow_user_agent_config": True,
"custom_ollama_url": "<string>",
"custom_ollama_model": "<string>",
"custom_clip_service_url": "<string>",
"custom_clip_service_token": "<string>",
"default_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_configured": True,
"default_project_geobound_enabled": True,
"default_project_geobound_allowed_countries": ["<string>"],
"default_project_geobound_allowed_country_set": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_denied_country_set": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_block_vpn": True,
"default_project_geobound_fail_closed": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
whitelisted_email_domains: ['<string>'],
globus_identity_provider_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allow_external_ai: true,
allow_user_agent_config: true,
custom_ollama_url: '<string>',
custom_ollama_model: '<string>',
custom_clip_service_url: '<string>',
custom_clip_service_token: '<string>',
default_repository_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_project_geobound_configured: true,
default_project_geobound_enabled: true,
default_project_geobound_allowed_countries: ['<string>'],
default_project_geobound_allowed_country_set: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_project_geobound_denied_country_set: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_project_geobound_block_vpn: true,
default_project_geobound_fail_closed: true
})
};
fetch('https://{server}/api/organizations/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"has_custom_clip_service_token": true,
"default_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"member_count": 0,
"description": "<string>",
"whitelisted_email_domains": [
"<string>"
],
"globus_identity_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_external_ai": true,
"allow_user_agent_config": true,
"custom_ollama_url": "<string>",
"custom_ollama_model": "<string>",
"custom_clip_service_url": "<string>",
"default_project_geobound_configured": true,
"default_project_geobound_enabled": true,
"default_project_geobound_allowed_countries": [
"<string>"
],
"default_project_geobound_allowed_country_set": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_denied_country_set": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_project_geobound_block_vpn": true,
"default_project_geobound_fail_closed": true
}GET /api/organizations// — SysAdmin or any OrgMember. PATCH /api/organizations// — SysAdmin or OrgAdmin. whitelisted_email_domains and globus_identity_provider_id are SysAdmin-only.
PATCH
/
api
/
organizations
/
{id}
/
cURL
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
255Maximum string length:
255Globus institutional IdP UUID for auto-join on SSO signup.
zdr- ZDR (Zero Data Retention)private_endpoint- Private Endpoint
Available options:
zdr, private_endpoint Maximum string length:
255Maximum string length:
128Maximum string length:
255Maximum string length:
4096ip- IP countryaffiliation- Affiliation countryip_or_affiliation- IP or affiliation countryip_and_affiliation- IP and affiliation country
Available options:
ip, affiliation, ip_or_affiliation, ip_and_affiliation Response
200 - application/json
Maximum string length:
255Maximum string length:
255Globus institutional IdP UUID for auto-join on SSO signup.
zdr- ZDR (Zero Data Retention)private_endpoint- Private Endpoint
Available options:
zdr, private_endpoint Maximum string length:
255Maximum string length:
128Maximum string length:
255ip- IP countryaffiliation- Affiliation countryip_or_affiliation- IP or affiliation countryip_and_affiliation- IP and affiliation country
Available options:
ip, affiliation, ip_or_affiliation, ip_and_affiliation Maximum string length:
2Pattern:
^[A-Z]{2}$⌘I